import java.util.HashMap;
import java.util.Map;

public class Teacher {
    // #region Instance Attributes
    public static final Map<String, String> nameMap = new HashMap<>();
    private String shortName;
    private String name;
    private Points points;

    public Teacher(String shortName) {
        this.shortName = shortName;
        this.name = nameMap.get(shortName);
        this.points = new Points();
    }

    // #region Getters
    public String getShortName() {
        return shortName;
    }

    public String getName() {
        return name;
    }

    public int getTotalPoints() {
        return this.points.getTotalPoints();
    }

    // #region Public Methods
    public void addPoints(int smallBreakPoints, int longBreakPoints, int bonusPoints) {
        points.addBonusPoints(bonusPoints);
        points.addFiveMinuteBreakPoints(smallBreakPoints);
        points.addLongerBreakPoints(longBreakPoints);
    }

    public String detailedPointString() {
        return "5 minute points: " + this.points.getFiveMinuteBreak() + "\nlonger break points: "
                + this.points.getLongerBreak() + "\nBonus points: " + this.points.getBonusPoints()
                + "\nTotal points: " + this.points.getTotalPoints() + "\n-------------\n";
    }
}
